- Update a content import source
You can update an existing content import source.
OAuth tokens must have the read_write_ai_content scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
If you intend to create or update External Pages via the API, this should be set to api. You can not change the value to or from api.
The status of the content import source.
The URL of the content import source. It must be an http or https URL whose host is a valid public domain name. This may only be different from the existing value if the sync behavior is API.
[ 5678 ]
The unique identifiers for the audiences to associate with this content import source. Can be a single integer or an array of integers. Set to null or an empty array to remove all audiences.
- The production API serverhttps://api.intercom.io/ai/content_import_sources/{source_id}
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources/{source_id}
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources/{source_id}
- integer
- Array of integers
curl -i -X PUT \
'https://api.intercom.io/ai/content_import_sources/{source_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"sync_behavior": "api",
"url": "https://www.example.com"
}'successful
Always content_import_source
The unique identifier for the content import source which is given by Intercom.
The time when the content import source was last synced.
If you intend to create or update External Pages via the API, this should be set to api.
The status of the content import source. A source that is being deleted has the status deletion_in_progress.
The time when the content import source was created.
The time when the content import source was last updated.
{ "id": 39, "type": "content_import_source", "last_synced_at": 1734537267, "status": "active", "url": "https://www.example.com", "sync_behavior": "api", "created_at": 1734537267, "updated_at": 1734537267, "audience_ids": [] }